%define _udev_libdir /usr/lib/udev
%define _unitdir_system /usr/lib/systemd/system
%define _elm_theme_datadir /usr/share/elementary/themes
Name:       weston-mobile
Version:    1
Release:    0
Summary:    Tizen Mobile Weston configuration and set-up
License:    MIT
Group:      Graphics & UI Framework/Configuration
BuildArch:  noarch
Source0:    %{name}-%{version}.tar.bz2
Source1001: weston-mobile.manifest
Provides:   weston-startup
Requires:   elementary
Requires:   weekeyboard

%description
This package contains Tizen Mobile-specific configuration and set-up for 
the Weston compositor, including systemd unit files, etc.

%prep
%setup -q
cp %{SOURCE1001} .

%build

%install

install -d %{buildroot}%{_unitdir_user}/weston.target.wants
install -m 644 weston.service %{buildroot}%{_unitdir_user}/weston.service
ln -sf ../weston.service %{buildroot}/%{_unitdir_user}/weston.target.wants/

mkdir -p %{buildroot}%{_sysconfdir}/profile.d/
install -m 0644 weston.sh %{buildroot}%{_sysconfdir}/profile.d/

%define weston_config_dir %{_sysconfdir}/xdg/weston
mkdir -p %{buildroot}%{weston_config_dir}
install -m 0644 weston.ini %{buildroot}%{weston_config_dir}

mkdir -p %{buildroot}%{_sysconfdir}/sysconfig/
ln -sf /run/tizen-mobile-ui  %{buildroot}%{_sysconfdir}/sysconfig/launchpad

mkdir -p %{buildroot}%{_udev_libdir}/rules.d
install -m 644 99-tty.rules %{buildroot}%{_udev_libdir}/rules.d/

mkdir -p %{buildroot}%{_bindir}
install -m 755 menuscreen-trigger.sh %{buildroot}%{_bindir}
install -d %{buildroot}%{_unitdir_user}/core-efl.target.wants
install -m 644 menuscreen-trigger.service %{buildroot}%{_unitdir_user}/menuscreen-trigger.service
ln -sf ../menuscreen-trigger.service %{buildroot}%{_unitdir_user}/core-efl.target.wants/

install -m 755 first-boot-hook.sh %{buildroot}%{_bindir}
install -d %{buildroot}%{_unitdir_system}/graphical.target.wants
install -m 644 first-boot-hook.service %{buildroot}%{_unitdir_system}/first-boot-hook.service
ln -sf ../first-boot-hook.service %{buildroot}%{_unitdir_system}/graphical.target.wants/

mkdir -p %{buildroot}%{_elm_theme_datadir}
install -m 644 default.edj %{buildroot}%{_elm_theme_datadir}/default.edj.noframe

%post
cp -f %{_elm_theme_datadir}/default.edj.noframe %{_elm_theme_datadir}/default.edj

%files
%manifest %{name}.manifest
%defattr(-,root,root)
%license COPYING
%{_unitdir_user}/weston.service
%{_unitdir_user}/weston.target.wants/weston.service
%config %{_sysconfdir}/profile.d/*
%{_sysconfdir}/sysconfig/launchpad
%attr(0644,root,root) %{_udev_libdir}/rules.d/99-tty.rules
%{_bindir}/*
%{_unitdir_user}/menuscreen-trigger.service
%{_unitdir_user}/core-efl.target.wants/menuscreen-trigger.service
%{_unitdir_system}/first-boot-hook.service
%{_unitdir_system}/graphical.target.wants/first-boot-hook.service
%{_elm_theme_datadir}/default.edj.noframe
%config %{weston_config_dir}/weston.ini
